net.dontdrinkandroot.persistence.predicatebuilder

## Enum NumericOperator

- java.lang.Object
- - java.lang.Enum<NumericOperator>
  - - net.dontdrinkandroot.persistence.predicatebuilder.NumericOperator

All Implemented Interfaces:
  Serializable, Comparable<NumericOperator>

    public enum NumericOperator
    extends Enum<NumericOperator>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EQUALS`
`GREATER_EQUALS`
`GREATER_THAN`
`LESS_EQUALS`
`LESS_THAN`

### Method Summary

Methods
`static NumericOperator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NumericOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EQUALS

    public static final NumericOperator EQUALS

#### GREATER_THAN

    public static final NumericOperator GREATER_THAN

#### GREATER_EQUALS

    public static final NumericOperator GREATER_EQUALS

#### LESS_THAN

    public static final NumericOperator LESS_THAN

#### LESS_EQUALS

    public static final NumericOperator LESS_EQUALS

### Method Detail

#### values

    public static NumericOperator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NumericOperator c : NumericOperator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NumericOperator valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null